/* pbcmd.c 1993.8.6 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include <io.h>
#include <time.h>
#include <sys\stat.h>

#include "pbsv.h"

extern VOID dspinfo();	    /* pbcfg.c */

			    /* flags */
extern BOOL f_exit;	    /* pbsv.c */
extern BOOL f_debug,f_beacon;
extern BOOL f_verbose,f_headers,f_hex;

/*
 * < cmd > command
 */
VOID cmd()
{
    VOID cmd_a();

    int c;

    if (!kbhit())
        return;

    c = getch();
    switch(c) {
        case 'q': case 'Q': 
	    f_exit = ON;
	    break;
	case 'b': case 'B': 
	    f_beacon = ON; 
	    break;
	case ('X'-0x40):
	    f_hex = f_hex ? OFF : ON;
	    dspinfo();
	    break;
	case ('H'-0x40):
	    f_headers = f_headers ? OFF : ON;
	    dspinfo();
	    break;
	case ('V'-0x40):
	    f_verbose = f_verbose ? OFF : ON;
	    dspinfo();
	    break;
	case 'i': case 'I':
	    dspinfo();
	    break;
	case 'a': case 'A':
	    break;
	default:
	    break;
    }
#ifdef DEBUG
    if (f_debug) {
        if (c == '1') pbdebug();
        if (c == '2') pbdebug2();
        if (c == '3') pbdebug3();
    }
#endif
}

/* pbcmd.c */
