/* pbdebug.c 1993.8.6 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include "pbsv.h"

#ifdef DEBUG

extern int set_user(struct stuser*,char*,u_long,u_int);	/* pbsv.c */
extern VOID initq(),putq();		/* pblib.c */
extern struct stqcell *getq();
extern VOID ca2ad(),ad2ca();

extern struct stqueue actuser;
extern struct stqueue freeuser;
extern struct stqueue freehole;

pbdebug()
{
    struct stuser *user;
    struct sthole *hole;

    user = (struct stuser *)getq(&freeuser);
    if (user == NULL) {
        assert(0);
    }
    set_user(user,"JN2LHU",(u_long)0x3ebf,244);
    hole = (struct sthole *)getq(&freehole);
    if (hole == NULL) {
        assert(0);
    }
    hole->offset = 0;
    hole->length = 2067;
    putq(&user->hole,hole);
}

pbdebug2()
{
    struct stuser *user;
    struct sthole *hole;

    user = (struct stuser *)getq(&freeuser);
    if (user == NULL) {
        assert(0);
    }
    hole = (struct sthole *)getq(&freehole);
    if (hole == NULL) {
        assert(0);
    }
    set_user(user,"JN2SBB",(u_long)0x3975,244);
    hole->offset = 0;
    hole->length = 30000;
    putq(&user->hole,hole);
}

pbdebug3()
{
    struct stuser *user;
    struct sthole *hole;

    user = (struct stuser *)getq(&freeuser);
    if (user == NULL) {
        assert(0);
    }
    hole = (struct sthole *)getq(&freehole);
    if (hole == NULL) {
        assert(0);
    }
    set_user(user,"JN2LHU",(u_long)0,244);
    user->flags = F_DIR;
    hole->start = 0;
    hole->end = (-1);
    putq(&user->hole,hole);
}

#endif

/* pbdebug.c */
